
IPAACA - Feature #462

Feature # 466 (New): IPAACA v3

v3: Structured metadata

2016-02-16 14:04 - Ramin Yaghoubzadeh

Status: In Progress Start date: 2015-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

To capture information such as publication or retraction / commission times, the existing metadata fields (flags etc.) are to be unified

with the new ones into a single metadata structure, mirroring the payload structure.

Subtasks:

Feature # 406: add time stamps to IUs/messages New

History

#1 - 2016-02-16 14:30 - Ramin Yaghoubzadeh

- Parent task set to #466

#2 - 2016-02-22 16:17 - Hendrik Buschmeier

- Status changed from New to In Progress

I created a branch ipaaca3-dev (available here) that contains a first proposal for how the protobuf messages for ipaaca3 could look like (see

commit:39a14c1d). In my proposal everything except `uid`, `mode`, `owner` and `revision` will be part of a general purpose metadata structure

(`metadata`) that – on the protobuf message level – looks exactly as `payload` does.
